Bug 62673 - Running tests from configtool uses //x path
Running tests from configtool uses //x path
Status: CLOSED CURRENTRELEASE
Product: eCos
Classification: Retired
Component: ConfigTool (Show other bugs)
CVS
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dallaway
John Dallaway
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 00:49 EST by Jonathan Larmour
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-27 12:16:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Larmour 2002-04-04 00:49:58 EST
Cygwin no longer has the //x notation to refer to drives. Now in the config tool
we work around this by mounting a directory /ecos-x instead. However when
running tests from the config tool, it still uses //x.

Specifically host/tools/ecostest/common/eCosTest.cpp:CeCosTest::CygPath() needs
fixing

Easy for someone who can rebuild it :-).
Comment 1 John Dallaway 2003-03-27 12:16:02 EST
Fixed for the eCos 2.0b1 release and in anonCVS. The configtool now uses 
/cygdrive notation to refer to logical drive letters when running eCos tests.  

Note You need to log in before you can comment on or make changes to this bug.